#ifndef FCIMPLPLUGINFACTORY_H
#define FCIMPLPLUGINFACTORY_H 1

#include "FileCatalog/FCImpl.h"
#include "PluginManager/PluginFactory.h"

namespace pool
{
  class FCImplPluginFactory : public seal::PluginFactory< pool::FCImpl*() >
  {
  public:
    /// Retrieves the plugin factory for the File Catalog implementation objects
    static FCImplPluginFactory* get();
  private:
    /// Private constructor
    FCImplPluginFactory();
  };
} // End of namespace pool

#endif // FCIMPLPLUGINFACTORY_H
