#ifndef FCMETAIMPLPLUGINFACTORY_H
#define FCMETAIMPLPLUGINFACTORY_H 1
//#include "FileCatalog/FCImpl.h"
#include "FileCatalog/FCMetaImpl.h"
#include "PluginManager/PluginFactory.h"

namespace pool
{
  class FCImpl;
  class FCMetaImplPluginFactory : public seal::PluginFactory< pool::FCMetaImpl*(FCImpl*) >
  {
  public:
    /// Retrieves the plugin factory for metadata Catalog implementation objects
    static FCMetaImplPluginFactory* get();
  private:
    /// Private constructor
    FCMetaImplPluginFactory();
  };
} // End of namespace pool

#endif // FCMETAIMPLPLUGINFACTORY_H
