//$Id: FCSystemTools.h,v 1.7 2004/02/09 13:46:09 xiezhen Exp $
#ifndef POOL_FCSYSTEMTOOLS_H
#define POOL_FCSYSTEMTOOLS_H
#include <string>

namespace pool{
  
  class IFileCatalog;
  /** @class FCSystemTools  FCSystemTools.h FileCatalog/FCSystemTools.h
      FileCatalog Utility methods
      @author Zhen Xie
  */
  class FCSystemTools{
  public:
    /** Read an environment variable.  */
    static const char* GetEnv(const char* key);
    /** Check if a file exists.  */
    static bool FileExists(const char* filename);
    /** select and load FC implementation using seal plugin manager according to contact string*/
    //static IFileCatalog* createCatalog(const std::string& uriprefix);
    static std::string itostr(const int i);
  };
} // ns pool
#endif
