#include "FileCatalog/FCSystemTools.h"
#include <sys/stat.h>
#ifndef POOL_URIPARSER_H
#include "FileCatalog/URIParser.h"
#endif
//#include "PluginManager/PluginManager.h"
//#include "PluginManager/PluginInfo.h"
//#include "FileCatalog/IFileCatalogPluginFactory.h"
//#include "FileCatalog/IFileCatalog.h"
#include <sstream>
//#include <iostream>

namespace pool{
  /*  seal::PluginManager* FCInitPM(){
    // std::cout << "Retrieving the plugin manager." << std::endl;
    seal::PluginManager* pm = seal::PluginManager::get();
    if ( ! pm ) {
      throw(seal::Exception("Could not get the plugin manager instance", 
			    "PluginException", 
			    seal::Status::error()));
    }
    
    //std::cout << "Initializing the plugin manager." << std::endl;
    pm->initialise();
    return pm;
  }
  */
  const char* FCSystemTools::GetEnv(const char* key){
    return getenv(key);
  }
  
  bool FCSystemTools::FileExists(const char* filename){
    struct stat fs;
    if(stat(filename, &fs) != 0) {
      return false;
    }else{
      return true;
    }
  }
  /*
  FCImpl* FCSystemTools::createCatalog(const std::string& uriprefix){
    IFileCatalog* mycatalog=0;
    try{
      FCInitPM();
      if(uriprefix=="mysqlcatalog"){
	mycatalog=IFileCatalogPluginFactory::get()->create( "MySQLFileCatalog" );
      }else if(uriprefix=="edgcatalog"){
        mycatalog=IFileCatalogPluginFactory::get()->create( "EDGFileCatalog" );
      }else if(uriprefix=="xmlcatalog" || uriprefix.empty()){
	mycatalog=IFileCatalogPluginFactory::get()->create( "XMLFileCatalog" );
      }
      if( !mycatalog ){
	throw(seal::Exception("Could not load FileCatalogPlugin!", 
			      "PluginException", 
			      seal::Status::error()));
      }
      return mycatalog;
    } catch(...){
      throw;
    }
  }
  */
  std::string FCSystemTools::itostr(const int i){
    std::ostringstream ost;
    ost<<i;
    return ost.str();
  }

} // ns pool
