#include "FileCatalog/IFileCatalogPluginFactory.h"

pool::IFileCatalogPluginFactory::IFileCatalogPluginFactory()
  : seal::PluginFactory< pool::FCImpl*() >( "FCImpl" )
{}

pool::IFileCatalogPluginFactory*
pool::IFileCatalogPluginFactory::get()
{
  static pool::IFileCatalogPluginFactory s_instance;
  return &s_instance;
}
