#ifndef MYSQLIMPL_H
#define MYSQLIMPL_H
#ifndef POOL_SQLPLUS_H
#include <mysql++.h>
#define POOL_SQLPLUS_H
#endif
#include <string>
#ifndef  POOL_FCENTRY_H
#include "FileCatalog/FCEntry.h"
#endif
#ifndef POOL_MYSQLFILECATALOG_H
#include "MySQLCatalog/MySQLFileCatalog.h"
#endif
namespace pool {
  struct MySQLFileCatalog::MySQLImpl{
    MySQLImpl();
    ~MySQLImpl();
    /// mysql connection handle
    mysqlpp::Connection* m_con; 
    void connect(const std::string& host, const std::string& db, const std::string& user, const std::string& passwd, const int port);
    void disconnect();
    unsigned int selectfirstPFN(PFNEntry& pentry, const std::string& querystr) const;
    unsigned int selectfirstLFN(LFNEntry& lentry, const std::string& querystr) const;
  };
} //ns pool
#endif
