#include "MySQLCatalog/MySQLFileCatalog.h"
#include "MySQLCatalog/MySQLMetaDataCatalog.h"
#include "FileCatalog/FCImplPluginFactory.h"
#include "FileCatalog/FCMetaImplPluginFactory.h"
#include "PluginManager/ModuleDef.h"

namespace pool
{
DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( FCImplPluginFactory, MySQLFileCatalog, "mysqlcatalog" );
DEFINE_SEAL_PLUGIN( FCMetaImplPluginFactory, MySQLMetaDataCatalog, "mysqlcatalog_meta" );  
} // End of namespace pool
