#include <iostream>
#include "src/QueryParser.h"

using namespace pool;
int main(){
  std::vector<std::string> metavar;
  metavar.push_back("jobid");
  QueryParser parser("jobid like '%test%' OR jobid='test' AND pfname='jfjf' AND lfname='dkdk' OR lfname='guid_' AND pfname NOT 'lfnamed' AND guid='12345' ",metavar,"t_pfn");
  parser.parse();
  std::cout<<"Result: "<<parser.parseResult()<<std::endl;
  std::cout<<"tables: "<<parser.getTablesAsString()<<std::endl;
  metavar.push_back("a");
  metavar.push_back("j");
  QueryParser parser2("jobid like '%test%' OR jobid='test' AND pfname='jfjf' AND lfname='dkdk' OR lfname='guid_' AND pfname NOT 'lfnamed' AND guid!='12345' ",metavar,"t_pfn");
  parser2.parse();
  std::cout<<"Result: "<<parser2.parseResult()<<std::endl;
  std::cout<<"tables: "<<parser2.getTablesAsString()<<std::endl;
  //fixme: should test constructor without metadata too!
}
