// $Header: /cvs/POOL/pool/POOLCore/POOLCore/Reference.h,v 1.5 2003/07/14 17:41:56 frankb Exp $
#ifndef POOL_REFERENCE_H
#define POOL_REFERENCE_H

// Framework include files
#include <typeinfo>

/*
 *  pool namespace declaration 
 */
namespace pool  {

  /** Reference class description
    *
    * @author   M.Frank
    * @version  1.0
    */
  class Reference  {
  public:
    /// Standard (empty constructor)
    Reference()             {                     }
    /// Standard destructor
    virtual ~Reference()    {                     }
    /// Get type identifier of this reference
    virtual const std::type_info& typeInfo()  const;
    /// Get type of basic reference
    static const std::type_info& refType();
  };
} // namespace pool

#endif /// POOL_REFERENCE_H
