// $Header: /cvs/POOL/pool/PersistencySvc/PersistencySvc/ITokenValidator.h,v 1.5 2004/06/30 14:56:53 ioannis Exp $
#ifndef POOL_ITOKENVALIDATOR_H
#define POOL_ITOKENVALIDATOR_H

/*
  pool namespace declaration 
*/
namespace pool  {

  // Forward declarations
  class Token;

  /**
     @class ITokenValidator ITokenValidator.h PersistencySvc/ITokenValidator.h
  */
  class ITokenValidator {
  public:
    /// Constructor
    ITokenValidator() {}

    /// Empty Destructor
    virtual ~ITokenValidator() {}

    /// From the default token return a valid token.
    virtual pool::Token* validate( const pool::Token& token ) = 0;
  };
}

#endif // POOL_ITOKENVALIDATOR_H
