#include "PersistencySvc/ITokenValidatorFactory.h"

pool::ITokenValidatorFactory::ITokenValidatorFactory():
  seal::PluginFactory<pool::ITokenValidator*() >( "ITokenValidator" )
{}

pool::ITokenValidatorFactory*
pool::ITokenValidatorFactory::get()
{
  static pool::ITokenValidatorFactory s_instance;
  return &s_instance;
}
