#include "PersistencySvc/ITokenValidatorFactory.h"
#include "DummyTokenValidator.h"
#include "PersistencySvc/IDataTransformFactory.h"
#include "DataTransform.h"
#include "PersistencySvc/IPersistencySvcFactory.h"
#include "PersistencySvc.h"
#include "PluginManager/ModuleDef.h"

DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( pool::ITokenValidatorFactory, pool::PersistencySvc::DummyTokenValidator, "DummyTokenValidator" );
DEFINE_SEAL_PLUGIN( pool::IDataTransformFactory, pool::PersistencySvc::DataTransform, "DataTransform" );
DEFINE_SEAL_PLUGIN( pool::IPersistencySvcFactory, pool::PersistencySvc::PersistencySvc, "PersistencySvc" );
