from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest
###################################################################
#should switch between backends and setWriteCatalog, addReadCatalog
###################################################################
cat='file:sample.xml'
#cat='mysqlcatalog_mysql://xiezhen@localhost/zhendb'
#cat='edgcatalog_http://rlstest:7777/v2.2/test/edg-local-replica-catalog/services/edg-local-replica-catalog'
x=PyFileCatalog.PyFileCatalog()
#x.setWriteCatalog(cat)
x.addReadCatalog(cat)
l=PyFClookup()
x.setAction(l)
class lookupTest(unittest.TestCase):
    def setUp(self):
	print '[OVAL] setUp'
        x.connect()
    def testSingleLookup(self):
        try:
           print '[OVAL] testSingleLookup'
           x.start()
           self.assertEqual(l.lookupBestPFN('guid0'),{'pfn':'pfn0','filetype':'root_all'})
           self.assertEqual(l.lookupFileByPFN('pfn0'),{'guid':'guid0','filetype':'root_all'})
           self.assertEqual(l.lookupFileByLFN('lfn0'),'guid0')
           if x.wchild!=0:
               self.assertEqual(l.isWritableEntry('guid0'), 1)
           else:
               self.assertEqual(l.isWritableEntry('guid0'), 0)
           x.commit()
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            x.rollback()
            
    def testLookupByQuery(self):
        print '[OVAL] testLookupByQuery'
        try:
            x.start()
            pfns=PyFCContainer.PyFCContainer(x,PFN,200)
            lfns=PyFCContainer.PyFCContainer(x,LFN,20)
            l.lookupPFNByQuery('',pfns)
            while( pfns.hasNext() ):
                print pfns.Next()
            l.lookupLFNByQuery('',lfns)
            while( lfns.hasNext() ):
                print lfns.Next()
            pfns.reset()
            l.lookupPFNByQuery("guid=\'guid0\'",pfns)
            while( pfns.hasNext() ):
                pentry=pfns.Next()
                print '[OVAL]lookupPFNByQuery result: ',pentry
                self.assertEqual(pentry[1],'guid0')
            pfns.reset()
            l.lookupPFNByLFN('lfn0',pfns)
            while( pfns.hasNext() ):
                pentry=pfns.Next()
                print '[OVAL]lookupPFNByLFN result: ',pentry
                self.assertEqual(pentry[1],'guid0')
            guids=PyFCContainer.PyFCContainer(x,GUID,200)
            print '[OVAL] container type', guids.type()
            l.lookupFileByQuery("",guids)
            counter=0
            while( guids.hasNext() ):
                thisguid=guids.Next()
                print '[OVAL]lookupFileByQuery result: ',thisguid
                self.assertEqual(thisguid,'guid'+str(counter))
                counter+=1
            x.commit()
            
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            x.rollback()
    def tearDown(self):
        print '[OVAL] tearDown'	        
        x.disconnect()  
if __name__=='__main__':
    unittest.main()
