from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest
cat='file:metatest.xml'
#cat='mysqlcatalog_mysql://xiezhen@localhost/zhendb'
#cat='edgcatalog_http://rlstest:7777/v2.2/test/edg-local-replica-catalog/services/edg-local-replica-catalog'
x=PyFileCatalog.PyFileCatalog()
x.setWriteCatalog(cat)
a=PyFCAdmin()
l=PyFClookup()
r=PyFCregister()
x.setAction(a)
x.setAction(l)
x.setAction(r)
def clean_start(c):
    try:
        c.connect()
        c.start()
        p=PyFCContainer.PyFCContainer(c,PFN)
        l.lookupPFNByQuery('',p)
        while( p.hasNext() ):
            pfnentry=p.Next()
            a.deletePFN(pfnentry[0])
        a.dropMetaDataSpec()
        c.commit()
    except PyFileCatalog.PyFileCatalogError, er:
        print 'PyFileCatalogError Caught:',er
        c.rollback()
        
class ContainerTest(unittest.TestCase):
    def setUp(self):
        clean_start(x)
    def tearDown(self):
        x.disconnect()
    def testreadwrite(self):
        try:
            pfns=PyFCContainer.PyFCContainer(x,PFN,20)
            print '[OVAL] testMETAwrite'
            x.start()
            spec={'owner':'string','jobid':'int','datatype':'string'}
            a.createMetaDataSpec(spec)
            x.commit(REFRESH)
            x.start()
            impl=x.getWriteCatalog()
            for i in xrange(10):
                impl.insertPFN('pfn'+str(i),'guid'+str(i),'root_all')
            x.commit(ONHOLD)
            #x.commit(REFRESH)
            x.start()
            for i in xrange(10):
               self.assertEqual(r.registerMetaData('guid'+str(i),{'owner':'me','jobid':i,'datatype':'evt'}),None)
#            #x.commit(ONHOLD)
            x.commit(REFRESH)
            print '[OVAL] testMETAread'
            x.start()
	    a.getMetaDataSpec()
            self.assertEqual(a.getMetaDataSpec(), spec)
            #print spec
            results=PyFCContainer.PyFCContainer(x,META,200)
            l.lookupMetaDataByQuery('',results)
            j=0
            while(results.hasNext()):
                metaentry=results.Next()
	        print metaentry
                self.assertEqual(metaentry['jobid'],j)
                self.assertEqual(metaentry['guid'],'guid'+str(j))
                j=j+1
            x.commit(REFRESH)
        except PyFileCatalog.PyFileCatalogError, er	:
            print 'PyFileCatalogError Caught:',er
            x.rollback()	
if __name__=='__main__':
    unittest.main()
