from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest,os,os.path,getopt
def usage():
    print 'python listguid.py [-u catalog_contactstring]'

class myobj(object):
    def __init__(self):
        self.inputfile='testOut.txt'
        self.guids=[]
        self.cat=''
        f=open(self.inputfile,'r')
        for line in f:
            line=line.strip()
            print line
            self.guids.append(line)
        f.close()
        try:
            optlist,args=getopt.getopt(sys.argv[1:],'u:')
        except getopt.GetoptError:
            usage()
            sys.exit(2)
        for o,a in optlist:
            if o=='-u':
                self.cat=a
            else:
                usage()
                sys.exit(2)
        try:
            self.x=PyFileCatalog.PyFileCatalog()
            self.x.setWriteCatalog(self.cat)
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            self.x.rollback()
    def addreplica2guid(self):
        try:
            self.x.connect()
            self.x.start()
            counter=0
            for guid in self.guids:
                rpfn='replicapfn'+str(counter)
                print guid, rpfn
                self.x.wchild.addPFNtoGuid(guid,rpfn,'')
                counter=counter+1
            self.x.commit()
            self.x.disconnect()
        except PyFileCatalogError, er:
             print 'PyFileCatalogError Caught:',er
if __name__=="__main__":
    y=myobj()
    y.addreplica2guid()
    
