from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *

def unique(s):
    """return a list of the element in s, but without duplicates. The method uses the uniqueness of the dictionry key. All sequence elements should be hashable."""
    n=len(s)
    if n==0:
        return []
    u={}
    try:
        for x in s:
            u[x]=1
    except:
        del u
    else:
        return u.keys()
    
results=[]
try:
    l=PyFClookup()
    c=PyFileCatalog.PyFileCatalog()
    c.setWriteCatalog(sys.argv[1])
    metaname=sys.argv[2]
    c.setAction(l)
    c.connect()
    c.start()
    m=PyFCContainer.PyFCContainer(c,META)
    l.lookupMetaDataByQuery('',m)
    while( m.hasNext() ):
        metaentry=m.Next()
        results.append(metaentry[metaname])
    c.commit()
    uniqueresult=unique(results)
    print "number of "+metaname+": ", len(uniqueresult)
    print "value of "+metaname+": ",uniqueresult
except PyFileCatalogError, er:
        print 'PyFileCatalogError Caught:',er
        c.rollback()
