from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest,os,os.path,getopt
def usage():
    print 'python listguid.py [-u catalog_contactstring]'

class myobj(object):
    def __init__(self):
        self.resultfile='guidlist.txt'
        self.results=[]
        try:
            optlist,args=getopt.getopt(sys.argv[1:],'u:')
        except getopt.GetoptError:
            usage()
            sys.exit(2)
        for o,a in optlist:
            if o=='-u':
                self.cat=a
            else:
                usage()
                sys.exit(2)
        try:
            self.x=PyFileCatalog.PyFileCatalog()
            self.x.setWriteCatalog(self.cat)
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            self.x.rollback()
    def listguid(self,query):
        print '[OVAL] list guid from catalog', self.cat
        try:
            l=PyFClookup()
            self.x.setAction(l)
            self.x.connect()
            pfns=PyFCContainer.PyFCContainer(self.x,PFN,10000)
            self.x.start()
            l.lookupPFNByQuery(query,pfns)
            while pfns.hasNext():
                pentry=pfns.Next()
                self.results.append(pentry[1])
            self.x.commit(REFRESH)
            self.x.disconnect()
            f=open(self.resultfile,'w')
            for line in self.results:
                f.write(line+'\n')
            f.close()
        except PyFileCatalogError, er:
             print 'PyFileCatalogError Caught:',er
if __name__=="__main__":
    y=myobj()
    y.listguid('')
    
