#include "Reflex/Reflex.h"
#define private public
#include "TClass.h"
void patchClass(TClass* cl, const std::type_info& t)  {
  static const char* hdr = "/pool/generic_header.h";
  static const char* imp = "/pool/generic_implementation.cpp";
  cl->fTypeInfo = &t;
  cl->fImplFileLine = 1;
  cl->fDeclFileLine = 1;
  cl->fDeclFileName = hdr;
  cl->fImplFileName = imp;
}

void patchClass(TClass* cl, ROOT::Reflex::Type& t)  {
  cl->fSizeof = t.SizeOf();
  cl->fTypeInfo = &t.TypeInfo();
  if ( cl->fImplFileLine <= 0 ) {
    cl->fImplFileLine = 1;
  }
}

