// $Id: DbModule.cpp,v 1.26 2007/11/29 14:11:13 frankb Exp $
//====================================================================
//
//  Package    : System (The POOL project)
//
//  Description: Generate neccessary infrastructure for the
//               SEAL plugin manager modules
//
//  @author      M.Frank
//====================================================================
#include "PluginManager/ModuleDef.h"

#include "StorageSvc/IStorageSvcFactory.h"
#include "DbStorageSvc.h"

DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( pool::IStorageSvcFactory, pool::DbStorageSvc, "pool_DbStorageSvc" );
