// $Id: DbSequence.cpp,v 1.13 2007/11/26 07:28:02 frankb Exp $
//====================================================================
//  Implementation file of a Database column
//--------------------------------------------------------------------
//
//  Package    : System (The POOL project)
//
//  Description: Constants definition
//
//  @author      M.Frank
//====================================================================

#include "StorageSvc/DbSequence.h"
#include <stdexcept>


/// Standard Constructor
pool::DbSequence::DbSequence() 
: m_value(long(pool::INVALID)), m_needNew(false)
{
//  if ( p )  {
//    if ( this->load() )    {
//      return;
//    }
//  }
  throw std::runtime_error( "DbSequence> Error accessing DB Sequence.");
}

/// Standard Destructor
pool::DbSequence::~DbSequence()   {
}

/// Access next unique value
pool::DbStatus pool::DbSequence::next()   {
/*
  DbPersis-tent* p = DbObjectGuard::get(this)->persistent();
  if ( p )  {
    DbHandle<DbObject> objH(this);
    m_needNew = true;
    if ( p->load(objH) )    {
      m_needNew = false;
      return Success;
    }
    m_needNew = false;
  }
*/
  return Error;
}
