#include "ObjectStorageTest/ObjectStorageTest.h"

namespace pool  {

  class ReadWriteTest : public ObjectStorageTest {

    public: 
    ReadWriteTest(std::string& dbName1, const DbType& storage_type1,
                  std::string& dbName2, const DbType& storage_type2)
     :ObjectStorageTest(dbName1,storage_type1,dbName2,storage_type2){}

    void execute(){
      write(1000);
      read(1000,"WRITE");
    }
  };

}

int main(int, char**)     {
  typedef pool::ReadWriteTest Test;
  std::string f1 = "test1.root";
  std::string f2 = "test2.root";
  Test theTest(f1, pool::ROOTTREE_StorageType,
               f2, pool::ROOTKEY_StorageType);
  theTest.run();
  return 0;
}
