#include "DataSvc/Ref.h"
#include "TNamed.h"
#include <string>

class TNamed;

struct ExampleClass  
{

  long a;
  int b;

  std::string s;

  pool::Ref< const TNamed > m_ref;

  ExampleClass( int seed )
                : a( seed ), b( seed )
  {}

  virtual ~ExampleClass()
  {}

  const TNamed* named() const 
  {
    return m_ref;
  }

  void setTNamed( const TNamed* pObj )
  {
    m_ref = pObj;
  }

};

