#ifndef TESTDRIVER_H
#define TESTDRIVER_H

#include <string>

class TestDriver {
public:
  /// Constructor
  TestDriver();

  /// Destructor
  ~TestDriver();

  /// Writes a few data
  void writeData();

  /// Reads back the data sequencially
  void readDataSequencially();

  /// Reads back the data using parallel iterators
  void readDataInParallel();

private:
  std::string m_databaseFile;
  std::string m_container;
  std::string m_fileCatalog;
  int         m_numberOfObjects;
};
#endif
