#ifndef IEVENTSERVICE_H
#define IEVENTSERVICE_H

class OriginObject;
class IDataCache;

class IEventService {
public:
  virtual ~IEventService() {};
  virtual IDataCache* cache() = 0;
  virtual void writeObjectTree( const OriginObject* object ) = 0;
  virtual const OriginObject* readNextEvent() = 0;
};

#endif
