#ifndef REFHANDLER_H
#define REFHANDLER_H

#include "StorageSvc/DbDefaultDataHandler.h"

class ITokenCache;

class RefHandler : public pool::DbDefaultDataHandler
{
public:
  RefHandler( ITokenCache& tokenCache );
  ~RefHandler();
  seal::Status saveReference( pool::Reference* pRef, pool::Token::OID_t* data);
  seal::Status loadReference( pool::Reference* pRef, pool::Token::OID_t* data);

private:
  ITokenCache& m_tokenCache;
};


#endif
