#include "XMLCatalog/XMLFileCatalog.h"
#include "XMLCatalog/XMLMetaDataCatalog.h"
#include "FileCatalog/FCImplPluginFactory.h"
#include "FileCatalog/FCMetaImplPluginFactory.h"
#include "PluginManager/ModuleDef.h"

namespace pool
{
DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( FCImplPluginFactory, XMLFileCatalog, "xmlcatalog");
DEFINE_SEAL_PLUGIN( FCMetaImplPluginFactory, XMLMetaDataCatalog, "xmlcatalog_meta" );  
} // End of namespace pool
