#ifndef CONTAINER_HANDLER_FACTORY_H
#define CONTAINER_HANDLER_FACTORY_H

namespace ROOT {
  namespace Reflex {
    class Type;
  }
}

namespace pool {

  namespace RelationalStorageService {

    class IContainerHandler;

    /**
       @class ContainerHandlerFactory ContainerHandlerFactory.h
       Factory class for IContainerHandle objects.
     */

    class ContainerHandlerFactory {
    public:
      static IContainerHandler* newContainerHandler( const ROOT::Reflex::Type& containerType );

    };

  }

}

#endif
