#ifndef IDATASVCFACTORY_H
#define IDATASVCFACTORY_H

#include "DataSvc/IDataSvc.h"
#include "PluginManager/PluginFactory.h"

namespace pool {

  class IDataSvcFactory : public seal::PluginFactory< pool::IDataSvc*(const pool::DataSvcContext&) >
  {
  public:
    static IDataSvcFactory* get();
  private:
    IDataSvcFactory();
  };

}

#endif
