#include "DataSvc/IDataSvcFactory.h"

pool::IDataSvcFactory::IDataSvcFactory():
  seal::PluginFactory<pool::IDataSvc*(const pool::DataSvcContext&)>( "IDataSvc" )
{}

pool::IDataSvcFactory*
pool::IDataSvcFactory::get()
{
  static pool::IDataSvcFactory s_instance;
  return &s_instance;
}

