#ifndef IFILECATALOGPLUGINFACTORY_H
#define IFILECATALOGPLUGINFACTORY_H 1

#include "FileCatalog/FCImpl.h"
#include "PluginManager/PluginFactory.h"

namespace pool
{
  class IFileCatalogPluginFactory : public seal::PluginFactory< pool::FCImpl*() >
  {
  public:
    /// Retrieves the plugin factory for the File Catalog implementation objects
    static IFileCatalogPluginFactory* get();
  private:
    /// Private constructor
    IFileCatalogPluginFactory();
  };
} // End of namespace pool

#endif // IFILECATALOGPLUGINFACTORY_H
