#include "MySQLMetaDataImpl.h"
#include "MySQLHelpers.h"
#include <algorithm>
#include <functional>
namespace pool{
  MySQLMetaDataCatalog::MySQLMetaDataImpl::MySQLMetaDataImpl():m_con(0),m_metaDataSpecification(0){
  }
  
  MySQLMetaDataCatalog::MySQLMetaDataImpl::~MySQLMetaDataImpl(){
    if( m_metaDataSpecification!=0 ) delete m_metaDataSpecification;
  }

  void MySQLMetaDataCatalog::MySQLMetaDataImpl::loadMetaDataSpecification() const{
    /*MySQLtableExist tableExist(m_con);
      if( !tableExist("t_meta")||!tableExist("t_metaspec") ){
      return;
      }
    */
    if ( m_metaDataSpecification ) delete m_metaDataSpecification;
    m_metaDataSpecification = new pool::AttributeListSpecification;
    mysqlpp::Query q=m_con->query();
    q<<"select * from t_metaspec";
    try{
      mysqlpp::Result res=q.store();
      if(res.size()==0) return ;
      mysqlpp::Result::iterator it;
      for( it=res.begin(); it!=res.end(); ++it){
	mysqlpp::Row row=*it;
	std::string colname=std::string(row.lookup_by_name("colname"));
	//	std::cout<<colname<<std::endl;
	std::string coltype=std::string(row.lookup_by_name("coltype"));
	//	std::cout<<coltype<<std::endl;
	m_metaDataSpecification->push_back( colname, coltype );
      }
    }catch(mysqlpp::BadQuery& er){
      if( er.error.find(std::string("t_metaspec' doesn't exist" ))!=er.error.npos ){
	//ignore
      }else{
	throw er;
      }
    }
  }
}//ns pool
