#ifndef MYSQLMETADATAIMPL_H
#define MYSQLMETADATAIMPL_H
#endif
#ifndef POOL_SQLPLUS_H
#include <mysql++.h>
#define POOL_SQLPLUS_H
#include "MySQLCatalog/MySQLMetaDataCatalog.h"
namespace pool {
  struct MySQLMetaDataCatalog::MySQLMetaDataImpl{
    MySQLMetaDataImpl();
    ~MySQLMetaDataImpl();
    mysqlpp::Connection* m_con; /// mysql connection handle
    mutable pool::AttributeListSpecification*  m_metaDataSpecification;
    /// Loads the meta data specification from the database
    void loadMetaDataSpecification() const;
  };
} //ns pool
#endif
