//$Id: URIParsertest.cpp,v 1.4 2006/03/14 17:56:07 xiezhen Exp $
/*
  a test driver for class URIParser.
  Author: Zhen Xie
*/
#include <string>
#include <iostream>
#include "src/MySQLURIParser.h"
#include "POOLCore/Exception.h"
using namespace pool;

int main(){
  std::cout<<"[OVAL] URIParsertest"<<std::endl;
  std::string uri="mysql://user@localhost:3306/mydb";
  MySQLURIParser p(uri);
  try{
    p.parse();p.dump();
    std::cout << "----------"<<std::endl;
    p.setURI("mysql://user@lxplus.cern.ch:3307/mydb");
    p.parse();p.dump();
    std::cout << "----------"<<std::endl;
    p.setURI("mysql://user:dud@lxplus.cern.ch/mydb");
    p.parse();p.dump();
  }catch(const pool::Exception& er){
    std::cerr << er.what()<<std::endl;
    exit(1);
  }
}




