#ifndef POOLMESSAGESTREAM_H
#define POOLMESSAGESTREAM_H

#include "SealKernel/MessageStream.h"

namespace pool {

  class PoolMessageStream : public seal::MessageStream
  {
  public:
    PoolMessageStream( const std::string& streamIdentifier,
		       seal::Msg::Level threshold = seal::Msg::Nil );
    ~PoolMessageStream() {}

  private:
    /// No copy constructor
    PoolMessageStream( const PoolMessageStream& );
    /// No assignment operator
    PoolMessageStream& operator=( const PoolMessageStream& );
  };
}
#endif
