#ifndef IDATATRANSFORMFACTORY_H
#define IDATATRANSFORMFACTORY_H

#include "PersistencySvc/IDataTransform.h"
#include "PluginManager/PluginFactory.h"

namespace pool {

  class IDataTransformFactory : public seal::PluginFactory< pool::IDataTransform*() >
  {
  public:
    static IDataTransformFactory* get();
  private:
    IDataTransformFactory();
  };

}

#endif
