#ifndef IPERSISTENCYSVCFACTORY_H
#define IPERSISTENCYSVCFACTORY_H

#include "PersistencySvc/IPersistencySvc.h"
#include "PluginManager/PluginFactory.h"

namespace pool {

  class IPersistencySvcFactory : public seal::PluginFactory< pool::IPersistencySvc*( pool::IFileCatalog& ) >
  {
  public:
    static IPersistencySvcFactory* get();
  private:
    IPersistencySvcFactory();
  };

}

#endif
