#ifndef ITOKENVALIDATORFACTORY_H
#define ITOKENVALIDATORFACTORY_H

#include "PersistencySvc/ITokenValidator.h"
#include "PluginManager/PluginFactory.h"

namespace pool {

  class ITokenValidatorFactory : public seal::PluginFactory< pool::ITokenValidator*() >
  {
  public:
    static ITokenValidatorFactory* get();
  private:
    ITokenValidatorFactory();
  };

}

#endif
