#include "PersistencySvc/IDataTransformFactory.h"

pool::IDataTransformFactory::IDataTransformFactory():
  seal::PluginFactory<pool::IDataTransform*()>( "IDataTransform" )
{}

pool::IDataTransformFactory*
pool::IDataTransformFactory::get()
{
  static pool::IDataTransformFactory s_instance;
  return &s_instance;
}
