#include "PersistencySvc/IPersistencySvcFactory.h"

pool::IPersistencySvcFactory::IPersistencySvcFactory():
  seal::PluginFactory<pool::IPersistencySvc*( pool::IFileCatalog& ) >( "IPersistencySvc" )
{}

pool::IPersistencySvcFactory*
pool::IPersistencySvcFactory::get()
{
  static pool::IPersistencySvcFactory s_instance;
  return &s_instance;
}
