class PyFCBuf(list):
    def __init__(self, mymax=1000):
        self.buf=[]
        self.max=mymax
    def full(self):
        return len(self.buf)==self.max
    def empty(self):
        return len(self.buf)==0
    def maxsize(self):
        return self.max
    def size(self):
        return len(self.buf)
    def clear(self):
        self.buf=[]
    def isBoundary(self, cur):
        return (cur%self.max)==0
    def nBoundary(self, cur):
        return cur/(self.max)
    def __getitem__(self,idx):
       # print idx, self.buf
       # print self.buf[idx]
        return self.buf[idx]
    def append(self,item):
        self.buf.append(item)
    def data(self):
        return self.buf
    def fillbuf(self, alist):
        #print alist
        self.buf=alist
if __name__=="__main__":
    buf=PyFCBuf()
    print buf.full(), buf.empty(), buf.maxsize()
    print "size", buf.size()
    buf.append("pfn")
    print "size", buf.size()
    print buf[0]
    print buf.isBoundary(0), buf.isBoundary(500), buf.isBoundary(1000) 
    print buf.nBoundary(0), buf.nBoundary(500),buf.nBoundary(1000),buf.nBoundary(2000)
    print buf.data()
    alist=['a','b','c']
    buf.fillbuf(alist)
    print buf.size()
    for i in range(buf.size()): print buf[i]
