from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest,os,os.path,getopt
def usage():
    print 'python populateSampleCatalog.py [-u catalog_contactstring]'

class populator(object):
    def __init__(self):
        self.cat='file:sample.xml'
        try:
            optlist,args=getopt.getopt(sys.argv[1:],'u:')
        except getopt.GetoptError:
            usage()
            sys.exit(2)
        for o,a in optlist:
            if o=='-u':
                self.cat=a
            else:
                usage()
                sys.exit(2)
        if os.path.splitext(self.cat)[1] == '.xml':
            if os.path.exists(self.cat) : os.remove(self.cat)
        try:
            self.x=PyFileCatalog.PyFileCatalog()
            self.x.setWriteCatalog(self.cat)
            self.a=PyFCAdmin()
            self.x.setAction(self.a)
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            
    def populate(self):
        print '[OVAL] populating sample catalog'
        try:
            self.x.connect()
            pfns=PyFCContainer.PyFCContainer(self.x,PFN,23)
            lfns=PyFCContainer.PyFCContainer(self.x,LFN,20)
            self.x.start()
            impl=self.x.getWriteCatalog()
            for i in xrange(10):
                impl.insertPFN('pfn'+str(i),'guid'+str(i),'root_all')
                impl.insertPFN('rpfn'+str(i),'guid'+str(i),'root_all')
                impl.insertLFN('lfn'+str(i),'guid'+str(i))
            self.x.commit()
            self.x.disconnect()
        except PyFileCatalogError, er:
             print 'PyFileCatalogError Caught:',er
if __name__=="__main__":
    y=populator()
    y.populate()
    
