from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest
#cat='file:testcontainer.xml'
cat='mysqlcatalog_mysql://xiezhen@localhost/zhendb'
#cat='edgcatalog_http://rlstest:7777/test/edg-local-replica-catalog/services/edg-local-replica-catalog'
x=PyFileCatalog.PyFileCatalog()
x.setWriteCatalog(cat)
l=PyFClookup()
class ContainerTest(unittest.TestCase):
    def testsize(self):
        print '[OVAL] testsize'
        pfns=PyFCContainer.PyFCContainer(x,PFN) #default size 1000
        self.assertEqual(pfns.maxsize(),1000,'wrong cache size')
        #pfns=Container(x,PFN,0) #retrive entry one-by-one
        #self.assertEqual(pfns.cachesize(),0,'wrong cache size')
        pfns=PyFCContainer.PyFCContainer(x,PFN,20)
        self.assertEqual(pfns.maxsize(),20,'wrong cache size')
    
    def testreadwrite(self):
        print '[OVAL] testreadwrite'
        pfns=PyFCContainer.PyFCContainer(x,PFN,200)
        lfns=PyFCContainer.PyFCContainer(x,LFN,20)

        try:
            print '[OVAL]    writing'
            x.connect()
            x.start()
            x.setAction(l)
            impl=x.getWriteCatalog()
            for i in xrange(10):
                impl.insertPFN('pfn'+str(i),'guid'+str(i),'root_all')
                impl.insertPFN('rpfn'+str(i),'guid'+str(i),'root_all')
                impl.insertLFN('lfn'+str(i),'guid'+str(i))
            print '[OVAL]    reading'
            l.lookupPFN('guid'+str(0),pfns)
            l.lookupLFN('guid'+str(0),lfns)
            while( pfns.hasNext()==1 ):
                self.assertEqual(pfns.Next()[1],'guid'+str(0))
            while( lfns.hasNext()==1 ):
               self.assertEqual(lfns.Next()[1],'guid'+str(0)) 
            x.commit(REFRESH)
            x.disconnect()
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er

if __name__=='__main__':
    unittest.main()
