from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest,os
#####################################################
#test registerPFN, registerLFN,addReplicaPFN
#use deletePFN, lookupPFNByQuery, for clean start
#####################################################
cat='file:insertsingle.xml'
#cat='mysqlcatalog_mysql://xiezhen@localhost/zhendb'
#cat='edgcatalog_http://rlstest.cern.ch:7777/test/v2.2/edg-local-replica-catalog/services/edg-local-replica-catalog'
x=PyFileCatalog.PyFileCatalog()
x.setWriteCatalog(cat)
pfns=['pfn_names_0','pfn_names_1','pfn_names_2']
fids=list()
l=PyFClookup()
a=PyFCAdmin()
r=PyFCregister()
def clean_start(c):
    try:
        c.connect()
        c.start()
        c.setAction(l)
        p=PyFCContainer.PyFCContainer(c,PFN)
        l.lookupPFNByQuery('',p)
        while( p.hasNext()==1 ):
            pfnentry=p.Next()
            #print pfnentry[0], pfnentry[1], pfnentry[2]
            a.deletePFN(pfnentry[0])
        #a.dropMetaDataSpec()
        c.commit()
    except PyFileCatalogError, er:
        print 'PyFileCatalogError Caught:',er
        c.rollback()
                
class CatalogTest(unittest.TestCase):
    def setUp(self):
        clean_start(x)
    def tearDown(self):
        x.disconnect()        
    def testDefaultinsertops(self):
        try:
            x.setAction(r)
            x.start()
            fids.append( r.registerPFN(pfns[0],'root_all'))
            self.assertNotEqual(fids[0],'','cannot default register PFN')
            self.assertNotEqual(r.registerPFN(pfns[1],'root_all'),'')
            self.assertNotEqual(r.registerPFN(pfns[2],'root_all'),'')
            self.assertEqual(r.registerLFN(pfns[0], pfns[0]+'_lfn'),None)
            self.assertEqual(r.addReplicaPFN(pfns[0],'rpfn'+pfns[0]),None)
            x.commit()
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            x.rollback()
            
if __name__=='__main__':
    unittest.main()
    
