from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest
#cat='file:metaschema.xml'
cat='mysqlcatalog_mysql://xiezhen@localhost/zhendb'
#cat='edgcatalog_http://rlstest:7777/v2.2/test/edg-local-replica-catalog/services/edg-local-replica-catalog'
x=PyFileCatalog.PyFileCatalog()
x.setWriteCatalog(cat)
a=PyFCAdmin()
l=PyFClookup()
abx={'a':'int','b':'int','x':'string'}
abc={'a':'int','b':'int','c':'string'}
spec={'owner':'string','jobid':'int'}
x.setAction(a)
x.setAction(l)
def clean_start(c):
    try:
        print '[OVAL] clean start'
        c.connect()
        c.start()
        p=PyFCContainer.PyFCContainer(c,PFN)
        l.lookupPFNByQuery('',p)
        while( p.hasNext() ):
            pfnentry=p.Next()
            a.deletePFN(pfnentry[0])
        a.dropMetaDataSpec()
        c.commit() 
    except PyFileCatalog.PyFileCatalogError, er:
        print 'PyFileCatalogError Caught:',er
        c.rollback()
        
class MetaDataSchemaTest(unittest.TestCase):
    def setUp(self):
        print '[OVAL] setup'	
        clean_start(x)
    def tearDown(self):
        print '[OVAL] tearDown'	
        x.disconnect()
    def testMETAdropschema(self):
        print '[OVAL] testMETAdropschema'
        try:
            x.start()
            try:
                a.createMetaDataSpec(spec)
                print 'should not raise exception'
                a.createMetaDataSpec(spec)
            except PyFileCatalog.PyFileCatalogError, er:
                if er.__str__().find('metadata definition already exists')!=-1:
                    print 'droping spec and create it again'
                    a.dropMetaDataSpec()
                    x.commit(REFRESH)
                    x.start()
                    a.createMetaDataSpec(spec)
                    x.commit(REFRESH)
            x.start()
            oldspec=a.getMetaDataSpec()
            self.assertEqual(oldspec,spec)
            x.commit(REFRESH)
        except PyFileCatalog.PyFileCatalogError, er:
            print er
            x.rollback()
    def testMETAupdateschema(self):
        #######################################################
        # Test updateMetaDataSpec
        #case1: nonshrink(default metamode)
        # old spec a,b,x,c
        # new spec a,b,x 
        # result spec a,b,x,c
        #case2: shrink (metamode DELETE_REDUNDANT )
        # old spec a,b,x,c
        # new spec a,b,c
        # result spec a,b,c
        ###########################################################
        print '[OVAL] testMETAupdateSchema'
        try:
           # newspec={'owner':'string','jobid':'int','datatype':'string','a':'string'}
            x.start()
            a.createMetaDataSpec(abx)
            x.commit(REFRESH)
            abx.update(abc)
            abcx=abx
            print 'abc', abc
            print 'abx', abx
            print 'abcx' , abcx
            x.start()
            a.updateMetaDataSpec(abcx)
            result1=a.getMetaDataSpec()
            print result1
            self.assertEqual(abcx,result1)
            x.commit(REFRESH)
            x.start()
            a.updateMetaDataSpec(abc,DELETE_REDUNDANT)
            x.commit(REFRESH)
            x.start()
            result2=a.getMetaDataSpec()
            print result2
            self.assertEqual(abc,result2)
            x.commit(REFRESH)
        except PyFileCatalog.PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            x.rollback()
if __name__=='__main__':
    unittest.main()
