#!/usr/bin/env python2.3
from PyFileCatalog import *
from PyFCContainer import *
from PyFCAction import *
import unittest,os,os.path,getopt
def usage():
    print 'FCGUIDPFN [-g | -p] -u catalog_contactstring ITEM...'

class myobj(object):
    def __init__(self):
	self.mode = 'g'
        self.input=[]
        try:
            optlist,self.input = getopt.getopt (sys.argv[1:],'gpu:')
	    print optlist
            print self.input
        except getopt.GetoptError:
            usage()
            sys.exit(2)
        for o,a in optlist:
            if o == '-u':
                self.cat = a
                #print self.cat
            elif o == '-g':
                self.mode = 'g'
                #print self.mode
            elif o == '-p':
                self.mode = 'p'
            else:
                usage()
                sys.exit(2)
        try:
            self.x=PyFileCatalog.PyFileCatalog()
            #self.x.setWriteCatalog(self.cat)
	    self.x.addReadCatalog(self.cat)
        except PyFileCatalogError, er:
            print 'PyFileCatalogError Caught:',er
            self.x.rollback()
        
    def list(self):
        try:
            l = PyFClookup()
            self.x.setAction(l)
            self.x.connect()
            self.x.start()
            for i in self.input:
                try:
                    if (self.mode == 'g'):
                        pfns = PyFCContainer.PyFCContainer(self.x,PFN,10000)
                        l.lookupPFN(i, pfns)
                        while pfns.hasNext():
                            pentry=pfns.Next()
                            print pentry[1], pentry[0]
                    else:
                        result=l.lookupFileByPFN(i)
                        print result['guid'], i
                except PyFileCatalogError, er:
                    print 'PyFileCatalogError Caught:',er
                    print 'OK swallo failures, and keep going'
                    
            self.x.commit(REFRESH)
            self.x.disconnect()
        except PyFileCatalogError, er:
             print 'PyFileCatalogError Caught:',er

if __name__=="__main__":
    y=myobj()
    y.list()
