//====================================================================
//
//	Package    : RootStorageSvc (The POOL project)
//
//	Author     : M.Frank
//====================================================================
#ifndef POOL_ROOTSTORAGESVC_STREAMERDATA_H
#define POOL_ROOTSTORAGESVC_STREAMERDATA_H 1

class TBuffer;
class TClass;

/*
 *   POOL namespace declaration
 */
namespace pool  {

  /**@class StreamerData StreamerData.h RootStorageSvc/StreamerData.h
    *
    * Specialized streamer to handle POOL references.
    *
    *  @author  M.Frank
    *  @version 1.0
    *  @date    11/11/2004
    */
  class StreamerData  {
  public:
    class TBuffer& buffer;
    class TClass*  clazz;
    StreamerData(TClass* c, TBuffer& b) : buffer(b), clazz(c) {}
  };
}      // End namespace pool
#endif // POOL_ROOTSTORAGESVC_STREAMERBASE_H
