#include "RootStorageSvc/IRootKeyIOHandlerFactory.h"
#include <memory>

typedef pool::IRootKeyIOHandlerFactory Factory_t;
static Factory_t s_instance;

Factory_t::IRootKeyIOHandlerFactory()
: seal::PluginFactory<pool::IRootKeyIOHandler* ()>( "IRootKeyIOHandler" )
{}

Factory_t* Factory_t::get()   {
  return &s_instance;
}
