
#ifndef POOL_DBLONGLONG_H
#define POOL_DBLONGLONG_H
namespace pool {
// Large integer definition depends of the platform
#ifdef WIN32
  typedef __int64          DbLonglong;
  typedef unsigned __int64 DbULonglong;
  #ifndef LONGLONG_MAX
    #define LONGLONG_MAX 0x7FFFFFFFFFFFFFFF
  #endif
  #ifndef ULONGLONG_MAX
    #define ULONGLONG_MAX 0xFFFFFFFFFFFFFFFF
  #endif
  #ifndef LONGLONG_MIN
    #define LONGLONG_MIN 0x8000000000000000
  #endif
  #ifndef ULONGLONG_MIN
    #define ULONGLONG_MIN 0
  #endif
//#elif defined(__linux) || defined(sun)
#else
  typedef long long int          DbLonglong;
  typedef unsigned long long int DbULonglong;
  #ifndef LONGLONG_MAX
    #define LONGLONG_MAX  0x7FFFFFFFFFFFFFFFLL
  #endif
  #ifndef ULONGLONG_MAX
    #define ULONGLONG_MAX 0xFFFFFFFFFFFFFFFFLL
  #endif
  #ifndef LONGLONG_MIN
    #define LONGLONG_MIN 0x8000000000000000LL
  #endif
  #ifndef ULONGLONG_MIN
    #define ULONGLONG_MIN 0
  #endif
#endif    // linux
}
#endif // POOL_DBLONGLONG_H
