inline pool::DbObjectCallBack::DbObjectCallBack( TypeH transientType ):
  m_transientType( transientType ),
  m_dataHandler( 0 ),
  m_shape( 0 ),
  m_objectData( 0 )
{}

inline 
pool::DbObjectCallBack::~DbObjectCallBack()
{}

inline pool::DataCallBack::TypeH pool::DbObjectCallBack::transientType() const  {
  return m_transientType;
}

inline pool::DataCallBack* pool::DbObjectCallBack::clone() const  {
  DbObjectCallBack* p = new DbObjectCallBack( m_transientType );
  p->m_dataHandler = m_dataHandler;
  p->m_shape = m_shape;
  return static_cast< pool::DataCallBack* >( p );
}

inline void pool::DbObjectCallBack::setObject( const void* ptr )  {
  m_objectData = ptr;
}

inline const void* pool::DbObjectCallBack::object() const  {
  return m_objectData;
}

inline void pool::DbObjectCallBack::setShape( ShapeH shape )   {
  m_shape = shape;
}

inline const pool::Shape* pool::DbObjectCallBack::shape() const  {
  return m_shape;
}

inline void pool::DbObjectCallBack::setHandler( DataHandler* pSvc )  {
  m_dataHandler = pSvc;
}

inline pool::DataHandler* pool::DbObjectCallBack::handler() const   {
  return m_dataHandler;
}
