#include "StorageSvc/IIOHandlerFactory.h"
#include "Reflex/Type.h"

static pool::IIOHandlerFactory s_instance;

pool::IIOHandlerFactory::IIOHandlerFactory():
seal::PluginFactory<pool::IIOHandler* (const ROOT::Reflex::Type&) >("IIOHandler")
{}

pool::IIOHandlerFactory* pool::IIOHandlerFactory::get()   {
  return &s_instance;
}
