#!/usr/bin/env python2.2

import sys

if len(sys.argv) < 2:
    print "arguments: <infile>" 
    sys.exit(-1)
    
fin = file(sys.argv[1])

hist = {}
cnt = {}

for l in fin.readlines():
    # ignore comments
    
    if len(l)>0 and l[0] == '#':
        continue
    
    col = l.split()

    val = [float(col[2]),float(col[3])+float(col[4]),float(col[5]), float(col[6])+float(col[7])]

    id = (int(col[0]),int(col[1]))

    if hist.has_key(id):
        hist[id] = map(lambda x,y: x+y,hist[id], val)
        cnt[id] = cnt[id] + 1
    else:
        hist.setdefault(id,val)
        cnt.setdefault(id,1)

for v in hist:
    hist[v] = map(lambda x: x/cnt[v], hist[v])
    print v[0],v[1],
    print "%.2f %.2f %.2f %.2f " % (hist[v][0], hist[v][1], hist[v][2], hist[v][3])
