#include "ObjectStorageTest/ObjectStorageTest.h"

namespace pool  {

class AppendWriteTest : public ObjectStorageTest {
  private:
    const std::string m_dbName3;
    const DbType m_type3;
    //std::string m_fid3;
    int m_sequence_type;
    //std::vector<std::string> tokens;

    //void addTokens(unsigned int NC);
    //void deleteTokens();

  public: 
    enum SequenceType { WRITE, APPEND, READ, FULL };

    AppendWriteTest(std::string& dbName1, const DbType& storage_type1,
                        std::string& dbName2, const DbType& storage_type2,
			std::string& dbName3, const DbType& storage_type3);

    void readDbContent(unsigned int NC);
    void readTokens(unsigned int expected);

    void reWrite(unsigned int NC);

    void selectTestSequence(SequenceType type);

    void execute();

};


}



