#ifndef RELATEDCLASS
#define RELATEDCLASS

#include "DataSvc/Ref.h"
#include <string>

class CrossReferenceClass;

class RelatedClass  {

 private:
  long a;
  int b;
  int c;
  
  std::string s;

  static int next();

 public:

  pool::Ref<const CrossReferenceClass> refObject;

  RelatedClass(int); 

  RelatedClass();

  virtual ~RelatedClass();

  const CrossReferenceClass* relObject() const;

  void setRef(const CrossReferenceClass* pObj);

  void resetRef();
  
  void setMessage(std::string& aMessage);

  std::string message() const;

};

#endif
