#ifndef TESTDRIVER_H
#define TESTDRIVER_H

#include <string>

class TestDriver {
public:
  /// Constructor
  TestDriver();

  /// Destructor
  ~TestDriver();

  /// Writes a few data
  void writeData();

  /// Reads back the data
  void readData();

  /// Appends and reads back the data
  void appendReadData();

private:
  std::string m_databaseFile;
  std::string m_container;
  std::string m_fileCatalog;
  int         m_numberOfObjects;
};
#endif
