#include <string>
#include <iostream>
#include "SealKernel/Exception.h"

namespace pool {

class TestKernel {
  private:
   unsigned int nerr;
 public:

  static const std::string ovaltag();
  static void printM(std::string str);

  static void printE(seal::Exception e);

   TestKernel():nerr(0){}

   void printError(std::string str){
     std::cout << str << "\n";
     nerr++;
   }

   void dumpError() const {
     std::cout << "[OVAL] Test result: " << nerr << " Errors\n";
   }

   unsigned int errors() const {
     return nerr;
   }

   void addError() {
     nerr++;
   }

   void resetError(){
     nerr = 0;
   }
};
}
#define OVALTAG ovaltag()
