#ifndef IDATACACHE_H
#define IDATACACHE_H

#include <string>
class TargetObject;

class IDataCache
{
public:
  virtual ~IDataCache() {}
  virtual void registerObject( TargetObject* object, const std::string& key ) = 0;
  virtual TargetObject* lookup( const std::string& key ) = 0;
  virtual std::string key( TargetObject* object ) const = 0;
};

#endif
