import os
os.environ['CORAL_DBLOOKUP_PATH']='/afs/cern.ch/sw/lcg/app/pool/db'
os.environ['CORAL_AUTH_PATH']='/afs/cern.ch/sw/lcg/app/pool/db'

import coral
context = coral.Context()
context.setVerbosityLevel( 'ERROR' )
connectionService = coral.ConnectionService( context )
session = connectionService.connect( '/pool/db/service_1' )
transaction = session.transaction()
transaction.start()
schema = session.nominalSchema()
schema.dropIfExistsTable( 'TESTS_LOCK' )
transaction.commit()
