#include "LFCCatalog/LFCCatalog.h"
#include "LFCCatalog/LFCMetaCatalog.h"
#include "FileCatalog/FCImplPluginFactory.h"
#include "FileCatalog/FCMetaImplPluginFactory.h"
#include "PluginManager/ModuleDef.h"

namespace pool
{

DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( FCImplPluginFactory, LFCCatalog, "lfccatalog" );
DEFINE_SEAL_PLUGIN( FCMetaImplPluginFactory, LFCMetaCatalog, "lfccatalog_meta" );
} // End of namespace pool
