#ifndef OBJECTRELATIONALACCESS_OBJECTRELATIONALCLASSUTILS_H
#define OBJECTRELATIONALACCESS_OBJECTRELATIONALCLASSUTILS_H

#include "Reflex/Type.h"

namespace pool {

  class ObjectRelationalClassUtils {

  public:

    static bool isTypeContainer(const ROOT::Reflex::Type& typ);

    static bool isTypeKeyedContainer(const ROOT::Reflex::Type& typ);

    static bool isTypeNonKeyedContainer(const ROOT::Reflex::Type& typ);

    static bool isTypeAssociativeContainer(const ROOT::Reflex::Type& typ);

    static bool isTypeNonAssociativeContainer(const ROOT::Reflex::Type& typ);

    static ROOT::Reflex::Type containerValueType(const ROOT::Reflex::Type& typ);
    
    static ROOT::Reflex::Type containerKeyType(const ROOT::Reflex::Type& typ);
    
    static ROOT::Reflex::Type containerDataType(const ROOT::Reflex::Type& typ);
    
    static ROOT::Reflex::Type resolvedType(const ROOT::Reflex::Type& typ);

  };

}

#endif
