inline pool::ObjectRelationalMapping::iterator
pool::ObjectRelationalMapping::begin()
{
  return m_elements.begin();
}

inline pool::ObjectRelationalMapping::const_iterator
pool::ObjectRelationalMapping::begin() const
{
  return m_elements.begin();
}

inline pool::ObjectRelationalMapping::iterator
pool::ObjectRelationalMapping::end()
{
  return m_elements.end();
}

inline pool::ObjectRelationalMapping::const_iterator
pool::ObjectRelationalMapping::end() const
{
  return m_elements.end();
}

inline pool::ObjectRelationalMapping::iterator
pool::ObjectRelationalMapping::find( const std::string& key )
{
  return m_elements.find( key );
}

inline pool::ObjectRelationalMapping::const_iterator
pool::ObjectRelationalMapping::find( const std::string& key ) const
{
  return m_elements.find( key );
}

inline const std::string&
pool::ObjectRelationalMapping::version() const
{
  return m_version;
}

inline void 
pool::ObjectRelationalMapping::setVersion(const std::string& version)
{
  m_version = version;
}
