#ifndef OBJECTRELATIONALACCESS_OBJECTRELATIONALMAPPINGDESCRIPTOR_H
#define OBJECTRELATIONALACCESS_OBJECTRELATIONALMAPPINGDESCRIPTOR_H

#include <string>
#include "ObjectRelationalMappingDescriptorElement.h"

namespace pool {

  class ObjectRelationalMapping;

  class ObjectRelationalMappingDescriptor {
  public:

    ObjectRelationalMappingDescriptor();

    virtual ~ObjectRelationalMappingDescriptor();

    ObjectRelationalMappingDescriptorElement* setTopLevelElement(const std::string& type);

    const ObjectRelationalMappingDescriptorElement* topLevelElement() const;

    std::string version() const; 

    std::vector<ObjectRelationalMappingDescriptorElement*> classDescriptors() const;

    void import(const ObjectRelationalMapping& mapping);

    private:

    ObjectRelationalMappingDescriptorElement* m_topLevelElement; 

  };

}

#endif // OBJECTRELATIONALACCESS_OBJECTRELATIONALMAPPINGDESCRIPTOR_H
