#ifndef TESTDRIVER_H
#define TESTDRIVER_H

namespace coral {
  class ISchema;
}

namespace pool {
  class ObjectRelationalMappingElement;
}

class TestDriver {
public:
  TestDriver() {}
  ~TestDriver() {}
  void removeOldMappings( coral::ISchema& schema );
  void writeMapping( coral::ISchema& schema );
  void readMapping( coral::ISchema& schema );
private:
  void printElement( const pool::ObjectRelationalMappingElement& element,
                     int level );
};

#endif
