#include "RelationalFileCatalogImplementation.h"
#include "RelationalMetaDataCatalogImplementation.h"

#include "FileCatalog/FCImplPluginFactory.h"
#include "FileCatalog/FCMetaImplPluginFactory.h"

#include "PluginManager/ModuleDef.h"

DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( pool::FCImplPluginFactory    , pool::RelationalFileCatalog::RelationalFileCatalogImplementation    , "relationalcatalog" );
DEFINE_SEAL_PLUGIN( pool::FCMetaImplPluginFactory, pool::RelationalFileCatalog::RelationalMetaDataCatalogImplementation, "relationalcatalog_meta" );
