#ifndef ICONTAINER_ITERATOR_HANDLER_H
#define ICONTAINER_ITERATOR_HANDLER_H

#include "Reflex/Type.h"

namespace pool {

  namespace RelationalStorageService {

    class IContainerIteratorHandler {
    public:
      /// Destructor
      virtual ~IContainerIteratorHandler() {}

      /// Increments itself
      virtual void increment() = 0;

      /// Returns the current object
      virtual void* object() = 0;

      /// Returns the return type of the iterator dereference method
      virtual ROOT::Reflex::Type returnType() const = 0;
    };

  }

}

#endif
