#include "RelationalDomain.h"
#include "RelationalPoolDatabase.h"
#include "RelationalStorageServiceException.h"
#include "SealKernel/MessageStream.h"
#include "SealKernel/ComponentLoader.h"
#include "SealKernel/Context.h"

pool::RelationalStorageService::RelationalDomain::RelationalDomain( pool::IOODatabase* idb,
                                                                    const std::string& name,
                                                                    seal::Context* context ):
  pool::DbDomainImp(idb),
  m_name( name ),
  m_context( context )
{}


pool::RelationalStorageService::RelationalDomain::~RelationalDomain()
{}


bool
pool::RelationalStorageService::RelationalDomain::existsDbase( const std::string& name )
{
  return pool::RelationalStorageService::RelationalPoolDatabase::exists( name, m_context );
}
